
CoCoA-5 - Support #1314

Emacs UI: open manual pages in a separate frame?

11 Sep 2019 21:07 - John Abbott

Status: In Progress Start date: 11 Sep 2019

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.75 hour

Description

Martin Kreuzer says he likes the manual pages to appear separate from the output of commands.

I can see his point, especially when the requested manual page is very long (and emacs automatically places the cursor at the end of

page rather than the beginning)

It might be possible to make CoCoA manual pages appear in a separate buffer.

Discuss if this might be a good idea; and investigate if it might be possible to implement it.

Related issues:

Related to CoCoA-5 - Support #1451: CoCoA Manual: make search keys public Closed 30 Apr 2020

Related to CoCoA-5 - Feature #1526: EmacsUI: help/manual for selected string ... Closed 29 Oct 2020

History

#1 - 11 Sep 2019 21:07 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#2 - 12 Sep 2019 08:33 - Anna Maria Bigatti

It could be quite tricky to implement.

Anyway, I think it should be a separate window, not buffer.

Opening another buffer could be quite confusing.

#3 - 24 Sep 2019 15:24 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

One possible approach would be to write the manual page to a file (perhaps inside /tmp somewhere), then open the file as a (read-only) buffer in a

new frame.

If we choose to do this, the file name could depend on the manual page (e.g. CoCoA-Manual-XYZ), or we could use repeatedly a single file (but this

would preclude being able to look at several manual pages simultaneously).

#4 - 27 Sep 2019 17:23 - John Abbott

- Subject changed from Emacs UI: open manual pages in a separate buffer? to Emacs UI: open manual pages in a separate frame?

Perhaps we need a separate process to show the manual pages?

A possibility is to run a whole separate CoCoA-5 session -- seems like overkill for just the manual...

ANYWAY this seems to be not entirely trivial, so we shall wait for a later release before trying to implement.
#5 - 30 Sep 2019 19:43 - John Abbott

- Related to deleted (Support #1311: THINGS TO DO IN GENOVA September 2019)

#6 - 30 Apr 2020 14:52 - John Abbott

- Related to Support #1451: CoCoA Manual: make search keys public added

#7 - 03 Mar 2022 15:44 - John Abbott

- Related to Feature #1526: EmacsUI: help/manual for selected string -- or just for word with cursor on? added
